Minimum Requirements

From your , ,

Applies to , , ,

Overview

This article lists the minimum requirements to use When I Work on your computer, iPhone, iPad, or Android phone.

Computer (via the web app)

The When I Work web app supports the following internet browsers running on Windows or macOS:

*Support has been discontinued for IE9 as of September 1st, 2015.

iPhone or iPad

Your iPhone or iPad must be running iOS 9.3 or later.

iOS versions 7.1–9.2 can continue to use older versions of the When I Work app, but will not receive new features or updates.

Download the app

Make sure to download the app from the App Store as our web app is not supported by mobile web browsers.

Android phone

Your Android phone must be running Android version 4.4 or later.

Android versions 4.0–4.3 can continue to use older versions of the When I Work app, but will not receive new features or updates.

Download the app

Make sure to download the app from the Google Play Store store as our web app is not supported by mobile web browsers.

Updated on September 18, 2017

Was this article helpful?

Related Articles

Still Need Help?

Open a ticket with our customer care team.

Submit a Ticket